/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package top.marchand.bugs.saxon.save.to.sef;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import javax.xml.transform.stream.StreamSource;
import net.sf.saxon.Configuration;
import net.sf.saxon.s9api.Processor;
import net.sf.saxon.s9api.SaxonApiException;
import net.sf.saxon.s9api.XsltCompiler;
import net.sf.saxon.s9api.XsltExecutable;
import net.sf.saxon.type.SchemaException;


/**
 *
 * @author cmarchand
 */
public class Main {
    
    public static void main(String[] args) throws Exception {
        (new Main()).doJob();
    }
    
    private void doJob() throws IOException, SaxonApiException, SchemaException {
        URL xslUrl = getClass().getResource("/sas/dalloz/ouvrages/ouvragesDalloz2editorialEntity.xsl");
        InputStream is = xslUrl.openStream();
        StreamSource source = new StreamSource(is);
        source.setSystemId(xslUrl.toString());
        
        Configuration config = Configuration.newConfiguration();
        
        Processor proc = new Processor(config);
        XsltCompiler compiler = proc.newXsltCompiler();
        
        XsltExecutable exec = compiler.compile(source);
        File resultFile = new File("result.sef");
        exec.export(new FileOutputStream(resultFile));
    }
    
}
