<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  xmlns:sas.utils="http://www.lefebvre-sarrut.eu/ns/els/utils"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>XSL SAS utils</xd:p>
    </xd:desc>
  </xd:doc>
  
  <xsl:import href="../../xslLib/xslLib/els-common.xsl"/>
  <!-- Librairie utilitaire lié aux logs ELS -->
  <xsl:import href="../../xslLib/xslLib/els-log.xsl"/>
  
  <!-- Code par défaut pour les logs -->
  <xsl:variable name="els:log.level.code" select="'SAS-UTILS'" as="xs:string"/>
  
  <!-- xs:ID pose problème avec gauloisPipe => xs:string -->
  <xd:doc>
    <xd:desc>
      <xd:p>Generate a fixe relation ID - usefull for XSPEC</xd:p>
      <xd:p>ID is based on element's name, which is hopefully enought to be unique</xd:p>
    </xd:desc>
    <xd:param name="e">element</xd:param>
    <xd:return>[String] id</xd:return>
  </xd:doc>
  <xsl:function name="sas.utils:generateRelationId" as="xs:string">
    <xsl:param name="e" as="element()"/>
    <xsl:message>[WARNING] Function sas.utils:generateRelationId is DEPRECATED, please use xf-lib module to makeRelations (cf. FLASDZ-344/FE-462)</xsl:message>
    <xsl:variable name="count" as="xs:integer">
      <xsl:number select="$e" level="any"/>
    </xsl:variable>
    <xsl:value-of select="concat('relation-', local-name($e), '-', $count)"/>
  </xsl:function>
  
</xsl:stylesheet>