<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xsl:import href="../../xslLib/xslLib/xml2simpleHtml.xsl"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Copy html elements and resolve conf</xd:p>
      <xd:p>Generate the default full html preview for EE of type text whose contentNode are already HTML</xd:p>
    </xd:desc>
  </xd:doc>
  
  <xsl:output method="xhtml" indent="no"/>
  
  <!--+==================================================+
      | INIT.                                            |
      +==================================================+-->
  
  <!--No modes for standalone execution-->
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:TEE_text.html.default.htmlSimplePreview"/>
  </xsl:template>

  <!--Mode xfRes:htmlSimplePreview for using from insertMetaInsideBody.xsl-->
  <xsl:template match="/" mode="xfRes:htmlSimplePreview">
    <xsl:apply-templates select="." mode="xfRes:TEE_text.html.default.htmlSimplePreview"/>
  </xsl:template>
  
  <!--+==================================================+
      | MAIN                                             |
      +==================================================+-->
  
  <xsl:template match="/" mode="xfRes:TEE_text.html.default.htmlSimplePreview">
    <html>
      <head>
        <title><xsl:value-of select="tokenize(base-uri(.), '/')[last()]"/></title>
      </head>
      <body>
        <xsl:apply-templates mode="#current"/>
      </body>
    </html>
  </xsl:template>
  
  <xsl:template match="xf:metadata" mode="xfRes:TEE_text.html.default.htmlSimplePreview"/>
  
  <xsl:template match="xf:*" mode="xfRes:TEE_text.html.default.htmlSimplePreview">
    <xsl:apply-templates mode="#current"/>
  </xsl:template>
  
  <xsl:template match="node() | @*" mode="xfRes:TEE_text.html.default.htmlSimplePreview">
    <xsl:copy>
      <xsl:apply-templates select="node() | @*" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>