<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  xmlns:html="http://www.w3.org/1999/xhtml"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:ecm="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm"
  xmlns:xfe="http://www.lefebvre-sarrut.eu/ns/xmlfirst/xmlEditor"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns="http://www.w3.org/1999/xhtml"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  exclude-result-prefixes="#all"
  version="3.0">

  <xsl:import href="../_common/TEE_tree.default.htmlSimplePreview.xsl"/>
  <xsl:import href="../../xfe/xfe-XML2HTML.xsl"/>
  
  <!-- PARAMS -->
  <xsl:param name="xfe:css.name" select="els:getFileName($xfRes:css.uri)" as="xs:string"/>
  <xsl:param name="xfe:css.path" select="els:getFolderPath($xfRes:css.uri)" as="xs:string"/>  
  
  <!-- Paramètre obligatoire pour xfe:xml2html -->
  <xsl:param name="xfe:conf.uri" select="'xfe:/xfe/conf/dalloz/ouvrages/xfe-conf.xml'" as="xs:string"/>
  <xsl:param name="xfe:addXmlModelPi" select="false()" as="xs:boolean"/>
  <xsl:param name="xfe:addHTML5DOCTYPE" select="false()" as="xs:boolean"/>
  <xsl:param name="xfe:debug" select="false()" as="xs:boolean"/>
  <xsl:param name="xfe:fillHeadTitle" select="true()" as="xs:boolean"/>
  <xsl:param name="xfe:allowUnValidXML" select="true()" as="xs:boolean"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Generate a HTML simple preview for EE type tree.</xd:p>
      <xd:p>This xslt is not able to display contentNode properly, import from another xslt that knows how to display sepcific contentNode</xd:p>
    </xd:desc>
  </xd:doc>
  
  <!--indent="no" is important for xspec diff--> 
  <xsl:output method="xhtml" indent="no"/>
  
  <!--+==================================================+
      | INIT.                                            |
      +==================================================+-->
  
  <!--No modes for standalone execution-->
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:TEE_tree.default.htmlSimplePreview"/>
  </xsl:template>
  
  <!--Mode xfRes:htmlSimplePreview for using from insertMetaInsideBody.xsl-->
  <xsl:template match="/" mode="xfRes:htmlSimplePreview">
    <xsl:apply-templates select="." mode="xfRes:TEE_tree.default.htmlSimplePreview"/>
  </xsl:template>
  
  <xsl:template match="contentNode/content/*" mode="xfRes:TEE_tree.default.htmlSimplePreview">
    <xsl:choose>
      <xsl:when test="namespace-uri(.) = 'http://www.w3.org/1999/xhtml'">
        <xsl:apply-templates select="." mode="xfRes:TEE_text.html.default.htmlSimplePreview"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="full-translation">
          <xsl:apply-templates select="." mode="xfe:xml2html">
            <xsl:with-param name="xfe:contentNodeId" select="./@xf:id"></xsl:with-param>
          </xsl:apply-templates>
        </xsl:variable>
          <xsl:sequence select="$full-translation//html:body/*"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
</xsl:stylesheet>