<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema" 
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst" 
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources" 
  xmlns:content="http://www.lefebvre-sarrut.eu/ns/dalloz/actualite" 
  xmlns:html="http://www.w3.org/1999/xhtml"
  xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst" 
  exclude-result-prefixes="#all" 
  version="3.0">
  
  <xsl:import href="_common/xf-common-dalloz.xsl"/>
  <xsl:include href="_common/title2html.xsl"/>
  
  <xsl:variable name="systemMeta" select="('systemTitle', 'systemAbstract')" as="xs:string+"/>
  <xsl:variable name="calculatedMeta" select="()" as="xs:string*"/>
  
  
  <xsl:template match="xf:editorialEntity" mode="xfRes:DZ_TEE_actualite.getCalculatedMetatada">
    <metadata>
      <xsl:sequence select="for $codeMeta in ($systemMeta, $calculatedMeta) return xfRes:actualite_dispatchGenMeta(., $codeMeta)"/>
    </metadata>
  </xsl:template>
  
  <xsl:function name="xfRes:actualite_dispatchGenMeta">
    <xsl:param name="entity" as="element(xf:editorialEntity)"/>
    <xsl:param name="codeMeta" as="xs:string"/>
    <xsl:choose>
      <!-- System -->
      <xsl:when test="$codeMeta = 'systemTitle'">
        <xsl:choose>
          <xsl:when test="$entity/@code='DZ_TEE_actualite'">
            <xsl:sequence select="xfRes:genHtmlMeta($codeMeta, xfRes:actualite_createTitle($entity))"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:message>[ERROR] System meta "title" undefined</xsl:message>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:when test="$codeMeta = 'systemAbstract'"/>
      <!--
      <xsl:when test="$codeMeta = 'systemAbstract'">
        <xsl:choose>
          <xsl:when test="$entity/@code='DZ_TEE_actualite'">
            <xsl:sequence select="xfRes:genHtmlMeta($codeMeta, xfRes:actualite_createAbstract($entity))"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:message>[ERROR] System meta "abstract" undefined</xsl:message>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when> -->
      <xsl:otherwise>
        <xsl:message>[ERROR] Metadata <xsl:value-of select="$codeMeta"/> undefined</xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  
  <xsl:function name="xfRes:actualite_createTitle" as="element(html:div)">
    <xsl:param name="entity" as="element(xf:editorialEntity)"/>
    <div xmlns="http://www.w3.org/1999/xhtml">
      <span><xsl:value-of select="$entity/xf:metadata/xf:meta[@code = 'DZ_META_actualiteTitre']/xf:value"/></span>
    </div>
  </xsl:function>
  
<!--  <xsl:function name="xfRes:actualite_createAbstract" as="element(html:div)">
    <xsl:param name="entity" as="element(xf:editorialEntity)"/>
    <div xmlns="http://www.w3.org/1999/xhtml">
      <span><xsl:value-of select="$entity/xf:metadata/xf:meta[@code = 'DZ_META_actualiteAbstract']/xf:value"/></span>
    </div>
  </xsl:function> -->
  
</xsl:stylesheet>
