<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/els/guidance/checklist-dalloz"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xsl:import href="../els/_common/els-content.common.htmlPreview.xsl"/>
  <xsl:import href="../_common/xf-common.htmlPreview.xsl"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Prévisu simple d'une EE de type DZ_TEE_checklist</xd:p>
    </xd:desc>
  </xd:doc>

  <xsl:output encoding="UTF-8" method="xhtml" omit-xml-declaration="no" indent="no"/>

  <!--base-uri est perdu à cause du xsl:document dans le step 1, on surcharge sa valeur ici-->
  <xsl:param name="xfRes:baseUri" select="base-uri()" as="xs:anyURI"/>
  
  <!--=============================================-->
  <!--INIT-->
  <!--=============================================-->

  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:DZ_TEE_checklist.htmlSimplePreview"/>
  </xsl:template>

  <!--=============================================-->
  <!--MAIN-->
  <!--=============================================-->

  <xsl:template match="/" mode="xfRes:DZ_TEE_checklist.htmlSimplePreview">
    <xsl:apply-templates select="xf:editorialEntity/xf:body/xf:contentNode/xf:content" mode="#current"/>
  </xsl:template>
  
  <xsl:template match="xf:content" mode="xfRes:DZ_TEE_checklist.htmlSimplePreview">
    <xsl:variable name="step" as="document-node()">
      <xsl:document>
        <html xmlns="http://www.w3.org/1999/xhtml">
          <head>
            <!--Sera complété dans le mode xfRes:htmlPreview.normalizeHTML-->
          </head>
          <body>
            <xsl:apply-templates mode="xfRes:els-content.common.htmlSimplePreview"/>
          </body>
        </html>
      </xsl:document>
    </xsl:variable>
    <xsl:apply-templates select="$step" mode="xfRes:htmlPreview.normalizeHTML"/>
  </xsl:template>
  
</xsl:stylesheet>