<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns:xhtml="http://www.w3.org/1999/xhtml"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/els/guidance/practiceNote-dalloz"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xsl:import href="../_common/xf-common.htmlPreview.xsl"/>
  <xsl:import href="../els/_common/els-content.common.htmlPreview.xsl"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Prévisu simple d'une EE de type DZ_TEE_guidancePracticeNote</xd:p>
    </xd:desc>
  </xd:doc>
  
  <xsl:output encoding="UTF-8" method="xhtml" omit-xml-declaration="no" indent="no"/>
  
  <!--=============================================-->
  <!--INIT-->
  <!--=============================================-->
  
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:DZ_TEE_guidancePracticeNote.htmlSimplePreview"/>
  </xsl:template>
  
  <!--=============================================-->
  <!--MAIN-->
  <!--=============================================-->
  
  <xsl:template match="/" mode="xfRes:DZ_TEE_guidancePracticeNote.htmlSimplePreview">
    <xsl:apply-templates select="xf:editorialEntity/xf:body/xf:contentNode/xf:content" mode="#current"/>
  </xsl:template>
  
  <xsl:template match="xf:content" mode="xfRes:DZ_TEE_guidancePracticeNote.htmlSimplePreview">
    <xsl:variable name="step" as="document-node()">
      <xsl:document>
        <html xmlns="http://www.w3.org/1999/xhtml">
          <head>
            <!--sera complété au prochain step-->
          </head>
          <body>
            <xsl:apply-templates mode="xfRes:els-content.common.htmlSimplePreview"/>
          </body>
        </html>
      </xsl:document>
    </xsl:variable>
    <xsl:apply-templates select="$step" mode="xfRes:htmlPreview.normalizeHTML"/>  
  </xsl:template>
  
  <xsl:template match="*[parent::article][descendant::span[@data-dalloz-coldroite='true']]" mode="xfRes:els-content.common.htmlSimplePreview">
    <xsl:variable name="colDroite" as="element()*">
      <xsl:apply-templates select="descendant::span[@data-dalloz-coldroite='true']" mode="xfRes:els-content.common.htmlSimplePreview.colDroite"/>
    </xsl:variable>
    <xsl:if test="count($colDroite) > 0">
      <!--FIXME: class pour "colDroite" à déterminer ?-->
      <div class="practiceNote-dalloz-colDroite">
        <xsl:sequence select="$colDroite"/>
      </div>
    </xsl:if>
    <xsl:next-match/>
  </xsl:template>
  
  <xsl:template match="span[@data-dalloz-coldroite='true' and @data-dalloz-corps='true']" mode="xfRes:els-content.common.htmlSimplePreview">
    <xsl:apply-templates select="node()" mode="#current"/>
  </xsl:template>

  <xsl:template match="span[@data-dalloz-coldroite='true' and @data-dalloz-corps='false']" mode="xfRes:els-content.common.htmlSimplePreview" />

  <xsl:template match="span[@data-dalloz-coldroite='true']" mode="xfRes:els-content.common.htmlSimplePreview.colDroite">
    <span xmlns="http://www.w3.org/1999/xhtml">
      <xsl:apply-templates select="node() | @*" mode="xfRes:els-content.common.htmlSimplePreview"/>
    </span>
  </xsl:template>
  
</xsl:stylesheet>