<?xml version="1.0" encoding="utf-8"?>
<!--<schema xmlns="http://www.ascc.net/xml/schematron">-->
<schema 
  xmlns="http://purl.oclc.org/dsdl/schematron"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:saxon="http://saxon.sf.net/"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  queryBinding="xslt2"
  id="validation_editorialEntity">
  
  <title>Schematron for Dalloz guidanceTopicPage TEE</title>
  
  <ns prefix="xsl" uri="http://www.w3.org/1999/XSL/Transform"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <ns prefix="saxon" uri="http://saxon.sf.net/"/>
  <ns prefix="xf" uri="http://www.lefebvre-sarrut.eu/ns/xmlfirst"/>
  <!--<ns prefix="revues" uri="http://www.lefebvre-sarrut.eu/ns/dalloz/revues"/>-->


  <let name="dalloz-quick-guide-namespace" value="'http://www.lefebvre-sarrut.eu/ns/els/guidance/quickguide-dalloz'"/>

  <pattern id="control-mandatory-node">
    <!-- jira: https://jira.els-gestion.eu/browse/SIEGDZ-116 -->
    <rule context="/xf:editorialEntity/xf:body/xf:contentNode/xf:content">
      <assert test="*[local-name()='article' and namespace-uri() = $dalloz-quick-guide-namespace]/*" role="error">
        [ERROR]: Le Quick Guide est obligatoire. Merci de saisir un contenu
      </assert>
    </rule>
  </pattern>

  <pattern id="control-uniqueness-quickguide">
    <!-- jira: https://jira.els-gestion.eu/browse/SIEGDZ-117 -->
    <rule context="/xf:editorialEntity/xf:body/xf:contentNode/xf:content">
      <report test="count(*[local-name()='article' and namespace-uri() = $dalloz-quick-guide-namespace]) &gt; 1" role="error">
        [ERROR]: Une Topic Page contient un seul Quick Guide. Merci de supprimer un noeud de contenu.
      </report>
    </rule>
  </pattern>

  <pattern id="control-quickguide-ref">
    <!-- jira: https://jira.els-gestion.eu/browse/SIEGDZ-118 -->
    <rule context="/xf:editorialEntity/xf:body/xf:contentNode/xf:content//*[local-name()='a' and namespace-uri() = $dalloz-quick-guide-namespace]">
      <let name="refId" value="@xf:idRef"/>
      <assert test="/xf:editorialEntity/xf:relations/xf:relation/@xf:id = $refId" role="warning">
        [WARNING]: Le contenu du Quick Guide n'est pas valide. Merci de vérifier les liens non résolus.
      </assert>
    </rule>
  </pattern>
</schema>