<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:h="http://www.w3.org/1999/xhtml"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/els/guidance/topicPage-dalloz"
  xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Calcul des metadonnées d'une EE "DZ_TEE_guidanceTopicPage" à partir de son contenu</xd:p>
    </xd:desc>
  </xd:doc>
  
  <xsl:param name="recap-limit" as="xs:integer" select="'2000' cast as xs:integer"/>
  
  <xsl:template match="xf:editorialEntity" mode="xfRes:DZ_TEE_guidanceTopicPage.getCalculatedMetatada">
    <metadata>
      <meta code="systemTitle" as="element(html:div)">
        <value as="element(html:div)">
          <div xmlns="http://www.w3.org/1999/xhtml">
            <xsl:sequence select="xf:metadata/xf:meta[@code='ELS_META_titreEE']/xf:value/h:div/node()"/>
          </div>
        </value>
      </meta>
      <meta code="systemAbstract" as="element(html:div)">
        <value as="element(html:div)">
          <div xmlns="http://www.w3.org/1999/xhtml">NULL</div>
        </value>
      </meta>
    </metadata>
  </xsl:template>
  
  <xsl:function name="xf:get-recap">
    <xsl:param name="texts" as="text()*"/>
    <xsl:sequence select="substring(normalize-space(string-join($texts, '')), 1, $recap-limit)"/>
  </xsl:function>
  
</xsl:stylesheet>