<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns:qg="http://www.lefebvre-sarrut.eu/ns/els/guidance/quickguide-dalloz"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <!-- IMPORTS -->
  <xsl:import href="../_common/TEE_tree.default.htmlSimplePreview.xsl"/>
  <xsl:import href="../els/_common/els-content.common.htmlPreview.xsl"/>

  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Prévisu simple d'une EE de type DZ_TEE_guidanceTopicPage</xd:p>
    </xd:desc>
  </xd:doc>

  <xsl:output encoding="UTF-8" method="xhtml" omit-xml-declaration="no" indent="no"/>
  
  <!--=============================================-->
  <!--INIT-->
  <!--=============================================-->
  
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:DZ_TEE_guidanceTopicPage.htmlSimplePreview"/>
  </xsl:template>
  
  <!--=============================================-->
  <!--MAIN-->
  <!--=============================================-->
  
  <xsl:template match="/" mode="xfRes:DZ_TEE_guidanceTopicPage.htmlSimplePreview">
    <xsl:apply-templates select="." mode="xfRes:TEE_tree.default.htmlSimplePreview"/>
  </xsl:template>

  <xsl:template match="qg:article" mode="xfRes:els-content.common.htmlSimplePreview">
    <xsl:element name="article">
      <xsl:copy-of select="@*" />
      <xsl:call-template name="xfRes:els-content.common.htmlSimplePreview.sujetlies" />
      <xsl:apply-templates mode="xfRes:els-content.common.htmlSimplePreview"/>
      <xsl:call-template name="xfRes:els-content.common.htmlSimplePreview.quickguide-conseil"/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="*:span[ancestor::qg:article and @data-dalloz-conseil='true']" mode="xfRes:els-content.common.htmlSimplePreview">
  </xsl:template>

  <xsl:template match="*:span[@data-dalloz-kn='true' and *:a[@data-dalloz-type='GUIDANCE']]" mode="xfRes:els-content.common.htmlSimplePreview"/>
  
  <xsl:template match="*:span[ancestor::qg:article and @data-dalloz-conseil='true']" mode="xfRes:els-content.common.htmlSimplePreview.conseil">
    <xsl:element name="{local-name()}" namespace="http://www.w3.org/1999/xhtml">
      <xsl:apply-templates select="@* | node()" mode="xfRes:els-content.common.htmlSimplePreview"/>
    </xsl:element>
  </xsl:template>

  <xsl:template name="xfRes:els-content.common.htmlSimplePreview.sujetlies">
    <xsl:if test="exists(.//*:span[@data-dalloz-kn='true']/*:a[@data-dalloz-type='GUIDANCE'])">
      <xsl:variable name="nbsujets" select="count(.//*:span[@data-dalloz-kn='true']/*:a[@data-dalloz-type='GUIDANCE'])" as="xs:integer"/>
      <xsl:variable name="titreSujet" select="if ($nbsujets>1) then 'Sujets liés :' else 'Sujet lié'" as="xs:string"/>
      <div class="pg-related-topics">
        <span class="pg-related-topics-title"><xsl:value-of select="$titreSujet"/></span>
        <ul class="pg-related-topics-list">
          <xsl:apply-templates select=".//*:span[@data-dalloz-kn='true']/*:a[@data-dalloz-type='GUIDANCE']" mode="xfRes:els-content.common.htmlSimplePreview">
            <xsl:sort select="."/>
          </xsl:apply-templates>
        </ul>
      </div>
    </xsl:if>
  </xsl:template>
  
  <xsl:template name="xfRes:els-content.common.htmlSimplePreview.quickguide-conseil">
    <xsl:if test=".//*:span[ancestor::qg:article and @data-dalloz-conseil='true']">
      <div class="quickguide-dalloz-conseil">
        <p class="quickguide-dalloz-titre">La rédaction vous conseille :</p>
        <xsl:apply-templates select=".//*:span[ancestor::qg:article and @data-dalloz-conseil='true']" mode="xfRes:els-content.common.htmlSimplePreview.conseil"/>
      </div>
    </xsl:if>
  </xsl:template>

  <xsl:template match="contentNode/content/*" mode="xfRes:TEE_tree.default.htmlSimplePreview">
    <xsl:apply-templates select="." mode="xfRes:els-content.common.htmlSimplePreview"/>
  </xsl:template>

</xsl:stylesheet>