<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst" 
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Common variables used for managing Schematron tests and calculate systemTitle steps for EFL_TEE_srcUiTexte</xd:p>
    </xd:desc>
  </xd:doc>
  
  <!-- Read the configuration file from xf-lib project (minimum metadatas for id logic calculation) -->
  <xsl:variable name="xf:refDoc.definitions" select="document(resolve-uri('xf-lib:/xf-lib/resources/efl/refDocDefinitions.xml'))" as="document-node()"/>  
  <!--<xsl:variable name="xf:refDoc.definitions" select="document(resolve-uri('importToRemove/xf-lib/resources/efl/refDocDefinitions.xml', static-base-uri()))" as="document-node()"/>-->  
  
  <xd:doc>
    <xd:desc>
      <xd:p>List of nanaged @classeRefDoc used (must be the same of "EFL_TEE_srcUiTexte.getCalculatedMetadata.xsl")</xd:p>
    </xd:desc>
  </xd:doc>
  <xsl:variable name="classRefDocUsed" select="distinct-values($xf:refDoc.definitions/refDocDefinitions/refDocDefinition[@type='t']/@classeRefDoc)" as="xs:string*"/>

  <!-- Read the configuration files of metadatas (currently from the project) -->
  <!-- Wait for direct access from MariaDB ? -->
  <xsl:variable name="xf:metadata.definitions" select="document(resolve-uri('conf/EE_TEE_metadata.definitions.xml', static-base-uri()))" as="document-node()"/>
  
  <!-- Key of metadata.definitions -->
  <xsl:key name="key.metadata.definitions" match="meta" use="@code"/>

</xsl:stylesheet>