<?xml version="1.0" encoding="utf-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  queryBinding="xslt3" 
  id="validation_EE_srcUiTexte">

  <title>Schematron for EFL - TEE srcUiTexte</title>  
  
  <xd:doc scope="stylesheet">
    <xd:p>Schematron used for EE (@code="EFL_TEE_srcUiTexte") validation.</xd:p>
    <xd:p>Theses tests are used to check all the necessary metadata to generate "systemTitle" one (as "EFL_TEE_srcUiTexte.getCalculatedMetadata.xsl" file)</xd:p>
    <xd:p>And all the metadatas used to generate the idLogic</xd:p>
    <xd:p>Both checks are defined from configuration file (see : EFL_TEE_srcUiTexte.control.xsl)</xd:p>
  </xd:doc>

  <xsl:import href="EFL_TEE_srcUiTexte.control.xsl"/>  

  <ns prefix="xsl" uri="http://www.w3.org/1999/XSL/Transform"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <ns prefix="xf" uri="http://www.lefebvre-sarrut.eu/ns/xmlfirst"/>

  <xd:doc>
    <xd:desc>
      <xd:p>Check 'ELS_META_txtClasseRefDoc' metadata existance</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="classRefDocExistanceAndValue">
    <xsl:variable name="metadata-label-ClasseRefDoc" select="key('key.metadata.definitions', 'ELS_META_txtClasseRefDoc', $xf:metadata.definitions)" as="xs:string"/>
    <rule context="/xf:editorialEntity[xf:hasMeta(., 'ELS_META_txtClasseRefDoc')]" role="warning">
      <report test="not(xf:getMetaValue(xf:getMeta(., 'ELS_META_txtClasseRefDoc')) = $classRefDocUsed)">
        La valeur de la meta '<xsl:value-of select="$metadata-label-ClasseRefDoc"/>' : '<xsl:value-of select="xf:getMetaValue(xf:getMeta(., 'ELS_META_txtClasseRefDoc'))"/>' n'est pas vérifiée par les tests.
      </report>
    </rule>
    <rule context="/xf:editorialEntity" role="warning">
      <assert test="xf:hasMeta(., 'ELS_META_txtClasseRefDoc')">
        La meta '<xsl:value-of select="$metadata-label-ClasseRefDoc"/>' est manquante.
      </assert>
    </rule>
  </pattern>

  <xd:doc>
    <xd:desc>
      <xd:p>Check existance of &lt;xf:meta&gt; elements</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="checkXfMetaExistance">
    <rule context="/xf:editorialEntity[xf:getMetaValue(xf:getMeta(., 'ELS_META_txtClasseRefDoc')) = $classRefDocUsed]" role="warning">
      <report test="not(xf:sch-srcUiTexte-hasMinimumMetaData(xf:metadata, xf:getMetaValue(xf:getMeta(., 'ELS_META_txtClasseRefDoc'))))">
        Metadata(s) manquante(s) : <xsl:value-of select="normalize-space(xf:sch-srcUiTexte-getMessagesOfMissingMetas(xf:metadata, xf:getMetaValue(xf:getMeta(., 'ELS_META_txtClasseRefDoc'))))"/>
      </report>      
    </rule>
  </pattern>

</schema>
