<?xml version="1.0" encoding="utf-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:xs="http://www.w3.org/2001/XMLSchema"
        xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
        xmlns:ecm="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm"
        queryBinding="xslt3" 
        id="validation_EE_filActus">

  <title>Schematron for EFL - TEE Fil Actu</title>

  <ns prefix="xsl" uri="http://www.w3.org/1999/XSL/Transform"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <ns prefix="xf" uri="http://www.lefebvre-sarrut.eu/ns/xmlfirst"/>
  <ns prefix="ecm" uri="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm"/>
  
  <!-- Import de fonctions / templates / paramètres XSL -->
  <xsl:include href="EFL_TEE_tree.control.xsl"/>
  
  <!-- Valeur(s) de la métadonnée EFL_META_matiere du Fil -->
  <xsl:variable name="fil.matiere" select="xf:getMetaReferenceItemRef(xf:getMeta(/xf:editorialEntity,'EFL_META_matiere'))" as="xs:string*"/>
  <!-- Titre du Fil -->
  <xsl:variable name="fil.title" select="xf:getSystemTitle(/xf:editorialEntity)" as="xs:string"/>
    
  <pattern id="checkMatiere">
    <rule context="/xf:editorialEntity[$ecm:server.url != ''][@code = 'EFL_TEE_filActu']//xf:referenceNode[xf:isRefNodeActuToBeChecked(.)]" role="error">
      <xsl:variable name="actu.id" select="xf:ref/@xf:targetResId" as="xs:string"/>
      <xsl:variable name="actu.ee" select="xf:getEEFromId($actu.id)/*" as="element(xf:editorialEntity)?"/>
      <xsl:variable name="actu.title" select="xf:getSystemTitle($actu.ee)" as="xs:string?"/>
      <xsl:variable name="actu.matiere" select="xf:getMetaReferenceItemRef(xf:getMeta($actu.ee,'EFL_META_matiere'))" as="xs:string*"/>
      <assert test="$actu.matiere = $fil.matiere">
        La ou les matière(s) de l'actualité "<xsl:value-of select="$actu.title"/>" (FLASH ID <xsl:value-of select="$actu.id"/>) ne correspondent pas à celle du <xsl:value-of select="$fil.title"/> : <xsl:value-of select="string-join($actu.matiere,' - ')"/>.
      </assert>
    </rule>
  </pattern>

</schema>
