<?xml version="1.0" encoding="utf-8"?>
<!--<schema xmlns="http://www.ascc.net/xml/schematron">-->
<schema 
  xmlns="http://purl.oclc.org/dsdl/schematron"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:saxon="http://saxon.sf.net/"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:cx="http://www.lefebvre-sarrut.eu/ns/efl/infoCommentaire"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  queryBinding="xslt3"
  id="validation_EE_infoCommentaire">
  
  <title>Schematron for EFL infoCommentaire TEE</title>
  
  <xsl:import href="EFL_TEE_uiCommentaire.control.xsl"/>
  
  <!-- namespaces used by this schematron -->
  <ns prefix="xsl" uri="http://www.w3.org/1999/XSL/Transform"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <ns prefix="saxon" uri="http://saxon.sf.net/"/>
  <ns prefix="cx" uri="http://www.lefebvre-sarrut.eu/ns/efl/infoCommentaire"/>
  <ns prefix="xf" uri="http://www.lefebvre-sarrut.eu/ns/xmlfirst"/>
  <ns prefix="els" uri="http://www.lefebvre-sarrut.eu/ns/els"/>

  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Not Done :</xd:p>
      <xd:p>
        <xd:ul>
          <xd:li>
            <xd:p>CXML :  intref4_checkDocPratiqueLink.drl</xd:p>
            <xd:p>Could not check rPartN/@nom => constrain : read the referentiel XML file</xd:p>
          </xd:li>
          <xd:li>
            <xd:p>CXML : intref1_checkDocPratiqueLink.drl</xd:p>
            <xd:p>Could not check rMemN/@nom => constrain : read the referentiel XML file</xd:p>
          </xd:li>
        </xd:ul>
      </xd:p>
    </xd:desc>
  </xd:doc> 
  
  <xd:doc>
    <xd:desc>
      <xd:p>Check attributes of &lt;rPratN&gt; (CXML : intref4_checkDocPratiqueLink.drl)</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckAttributesRPartN">
    <rule context="cx:rPratN" role="error">
      <report test="not(els:isNumber(@num))">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; contient un numéro non valide, @num='<xsl:value-of select="@num"/>'
      </report>
      <report test="@mille != '' and not(els:isNumber(@mille))">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; contient une année non valide, @mille='<xsl:value-of select="@mille"/>'
      </report>
      <report test="@mille != '' and els:isNumber(@mille) and (@mille &lt; 1000 or @mille &gt; 3000)">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; contient une année non valide, @mille='<xsl:value-of select="@mille"/>'
      </report>
    </rule>
  </pattern>
  
  <xd:doc>
    <xd:desc>
      <xd:p>Check attributes of &lt;rMemN&gt; (CXML : intref1_checkDocPratiqueLink.drl)</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckAttributesRMemN">
    <rule context="cx:rMemN" role="error">
      <report test="not(matches(@num, '^(\d{1,5})(-\d{1,2})?$'))">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; contient un numéro non valide, @num='<xsl:value-of select="@num"/>'
      </report>
      <report test="@mille != '' and not(xf:checkMilleAttrRMemN(@mille, '-'))">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; contient une année non valide, @mille='<xsl:value-of select="@mille"/>'
      </report>
    </rule>
  </pattern>

  <xd:doc>
    <xd:desc>
      <xd:p>Check attributes of &lt;rEflN&gt; (CXML : intref3_checkFeuilletLink.xsl)</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckAttributsREflN">
    <rule context="cx:rEflN" role="error">
      <report test="not(@num)">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; ne contient pas de numéro (@num absent).
      </report>
      <report test="not(@ser)">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; ne contient pas de ser (@ser absent).
      </report>
      <report test="not(@div)">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; ne contient pas de div (@div absent).
      </report>      
      <report test="@num and not(matches(@num, '^[0-9]+(-[a-z0-9]+)?$'))">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; contient un numéro non valide, @num='<xsl:value-of select="@num"/>'; il doit être de la forme : suite de chiffres, éventuellement suivie d'un tiret et d'une suite de chiffres et-ou de lettres minuscules. Exemple : 8365, 6479-a ou 6565-34.
      </report>        
    </rule>
  </pattern>
  
  <xd:doc>
    <xd:desc>
      <xd:p>Check &lt;refDoc&gt; (CXML : part of refdoc1_checkSource.drl)</xd:p>
      <xd:p>No test into meta : conventionally, &lt;refDoc&gt; content is converted to html format.</xd:p>
      <xd:p>see for example : &lt;systemAbstract&gt;</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckRefDoc">
    <rule context="cx:refDoc[@type='premiere' or (@type='citation') and ancestor::cx:blocRefDoc]" role="warning">
      <report test="normalize-space(string-join(., '')) = '' and @formatRedige = true()">
        Le &lt;<xsl:value-of select="local-name(.)"/>&gt; ne contient pas de texte bien que son attribut @formatRedige soit à true.
      </report>
    </rule>
  </pattern>
  
  <xd:doc>
    <xd:desc>
      <xd:p>Check revision marks (CXML : xml2_TrackChanges.xsl)</xd:p>
      <xd:p>See specific PIs of XF Editor</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckRevisionMarks">
    <rule context="/xf:editorialEntity" role="error">
      <report test="//processing-instruction('xfe_del_start') 
        or //processing-instruction('xfe_del_end') 
        or //processing-instruction('xfe_ins_start') 
        or //processing-instruction('xfe_ins_end')">
        Le suivi des modifications est toujours actif sur l'entité editoriale. Merci d'accepter ou de rejeter les modifications.
      </report>
    </rule>
  </pattern>
  
<!--  <xd:doc>
    <xd:desc>
      <xd:p>Check renvoiAutrui</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckRenvoiAutrui">
    <rule context="cx:renvoiAutrui[@produitCx or @annee or @numeroDocument]" role="error">
      <report test="not(@produitCx) or not(@annee) or not(@numeroDocument)">
        Le &lt;<xsl:value-of select="local-name()"/>&gt; doit contenir les attributs suivants : @produitCx ET @annee ET @numeroDocument
      </report>
    </rule>
  </pattern>-->
  
  <xd:doc>
    <xd:desc>
      <xd:p>Check existance of metadata</xd:p>
      <xd:p>Jira FLAS 161</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckMetadata">
    <rule context="/xf:editorialEntity">
      <assert test="xf:hasMeta(., 'EFL_META_metier')" role="error">
        La méta 'EFL_META_metier' n'existe pas. Veuillez la renseigner.
      </assert>
      <assert test="xf:hasMeta(., 'EFL_META_matiere')" role="error">
        La méta 'EFL_META_matiere' n'existe pas. Veuillez la renseigner.
      </assert>
      <assert test="xf:hasMeta(., 'EFL_META_theme')" role="warning">
        La méta 'EFL_META_theme' n'existe pas. Veuillez la renseigner.
      </assert>
      <assert test="xf:hasMeta(., 'EFL_META_dateValidite')" role="warning">
        La méta 'EFL_META_dateValidite' n'existe pas. Veuillez la renseigner.
      </assert>      
    </rule>
  </pattern>
  
  <xd:doc>
    <xd:desc>
      <xd:p>Check required attributes for unresolved &lt;renvoiAutrui&gt;</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckUnresolvedRenvoiAutrui">
    <rule context="renvoiAutrui[not(xf:isResolvedLink(.))]" role="warning">
      <assert test="@produitCx and @numeroOrdre and @annee">
        Le <xsl:value-of select="local-name(.)"/> doit au moins contenir les attributs suivants : @produitCx, @numeroOrdre ET @annee, ("<xsl:value-of select=".//text()"/>")
      </assert>
    </rule>
  </pattern>
  
  <xd:doc>
    <xd:desc>
      <xd:p>Check required attributes for unresolved &lt;refDoc&gt;</xd:p>
    </xd:desc>
  </xd:doc>
  <pattern id="CheckUnresolvedRefDoc">
    <rule context="*:refDoc[@cible = 'texte'][not(xf:isResolvedLink(.))]" role="warning">
      <assert test="(@nature,@numero)/normalize-space() != ''">
        Le <xsl:value-of select="local-name(.)"/> (<xsl:value-of select="@cible"/>) doit au moins contenir les attributs suivants (non-vides) : @nature et @numero, ("<xsl:value-of select=".//text()"/>")
      </assert>
    </rule>
    <rule context="*:refDoc[@cible = 'jp'][not(xf:isResolvedLink(.))]" role="warning">
      <assert test="(@juridiction,@numero,@date)/normalize-space() != ''">
        Le <xsl:value-of select="local-name(.)"/> (<xsl:value-of select="@cible"/>) doit au moins contenir les attributs suivants (non-vides) : @juridiction, @numero et @date, ("<xsl:value-of select=".//text()"/>")
      </assert>
    </rule>
  </pattern>
</schema>