<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  exclude-result-prefixes="#all"
  version="3.0">    
    
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>XSL used for Schematron for EFL infoCommentaire TEE</xd:p>
    </xd:desc>
  </xd:doc>
    
  <!-- Import to change when xsl:import by CP fully works -->
  <xsl:import href="importToRemove/xslLib/els-common_convert-cast.xsl"/>  
  <xsl:import href="importToRemove/xf-lib/xf-common.xsl"/>
    
  <xd:doc>
    <xd:desc>
      <xd:p>CXML : intref1_checkDocPratiqueLink.drl</xd:p>
      <xd:p>IMPORTANT : "mille" param could contains several value, separated by '-'</xd:p>
      <xd:p>FIXME : function may be improved</xd:p>
      <xd:p>This function contains tests :</xd:p>
      <xd:ul>
        <xd:li>check if each value is a number</xd:li>
        <xd:li>check if each number is between right values</xd:li>
      </xd:ul>
    </xd:desc>
    <xd:param name="mille">contains the value of @mille, could have several values separated by a separator.</xd:param>
    <xd:param name="sep">the separator</xd:param>
  </xd:doc>
  <xsl:function name="xf:checkMilleAttrRMemN" as="xs:boolean">
    <xsl:param name="mille" as="xs:string"/>
    <xsl:param name="sep" as="xs:string"/>
    <xsl:variable name="result-test" as="xs:string*">
      <xsl:for-each select="tokenize($mille, $sep)">
        <xsl:if test="not(els:isNumber(.))">FAILED</xsl:if>
        <xsl:if test="els:isNumber(.) and (number(.) &lt; 1000 or number(.) &gt; 3000)">FAILED</xsl:if>
      </xsl:for-each>
    </xsl:variable>
    <xsl:value-of select="if(count($result-test)=0) then(true()) else(false())"/>
  </xsl:function>
    
</xsl:stylesheet>