<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  exclude-result-prefixes="#all"
  version="3.0"
  xml:lang="en">  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Part of els-common_xml.xsl of xslLib project.</xd:p>
      <xd:p>FIXME : when the CP protocol is fully available for Schematron in ECM, this file could be removed from this Schematron.</xd:p>
      <xd:p>(See FLAS-425)</xd:p>
    </xd:desc>
  </xd:doc>
  
  <xd:doc>
    <xd:desc>
      <xd:p>Check all unordered items of $subsequence is contained in $sequence</xd:p>      
    </xd:desc>
    <xd:param name="subsequence">sequence of items()* to be checked</xd:param>
    <xd:param name="sequence">referential sequence of item()*</xd:param>
    <xd:return>true() is all items are mapped</xd:return>
  </xd:doc>
  <xsl:function name="els:each-subsequence-item-included-into-sequence" as="xs:boolean">
    <xsl:param name="subsequence" as="item()*"/>
    <xsl:param name="sequence" as="item()*"/>
    <xsl:sequence select="every $sub-item in $subsequence satisfies 
      (some $item in $sequence satisfies deep-equal($sub-item, $item))"/>
  </xsl:function>
 
</xsl:stylesheet>