<?xml version="1.0" encoding="utf-8"?>
<!--<schema xmlns="http://www.ascc.net/xml/schematron">-->
<schema
  xmlns="http://purl.oclc.org/dsdl/schematron"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:saxon="http://saxon.sf.net/"
  xmlns:h="http://www.w3.org/1999/xhtml"
  queryBinding="xslt2"
  id="validation_el_arbreGuidance">

  <title>Schematron for EL ArbreGuidance TEE</title>

  <ns prefix="xsl" uri="http://www.w3.org/1999/XSL/Transform"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <ns prefix="saxon" uri="http://saxon.sf.net/"/>
  <ns prefix="xf" uri="http://www.lefebvre-sarrut.eu/ns/xmlfirst"/>
  <ns prefix="h" uri="http://www.w3.org/1999/xhtml"/>


  <!--==============================================-->
  <!--CONTROLE METAS -->
  <!--==============================================-->

  <pattern id="metadata">
    <!--rule context="/xf:editorialEntity/xf:body/xf:referenceNode/xf:metadata">
      <report test="not(normalize-space(./xf:meta[@code='ELS_META_positionElement'])='') and
      not((count(../preceding-sibling::xf:referenceNode) = 0 and ./xf:meta[@code='ELS_META_positionElement']/xf:value = 1) or (./xf:meta[@code='ELS_META_positionElement']/xf:value = ../preceding-sibling::xf:referenceNode[1]//xf:meta[@code='ELS_META_positionElement']/xf:value + 1))">
        L'ordonnancement des thèmes pour le front office n'est pas correct
      </report>
    </rule-->
    <rule context="/xf:editorialEntity/xf:body">
      <let name="themesSansPosition" value="string-join(./xf:referenceNode[not(./xf:metadata/xf:meta[@code='ELS_META_positionElement']) or normalize-space(./xf:metadata/xf:meta[@code='ELS_META_positionElement'])='']/xf:verbalization,', ')" />
      <let name="values" value="./xf:referenceNode/xf:metadata/xf:meta[@code='ELS_META_positionElement']/xf:value" />
      <let name="valuesDbl" value="distinct-values(for $val in $values return if (count($values[. eq $val]) > 1) then $val else ())" />
      <let name="doublons" value="string-join(./xf:referenceNode[./xf:metadata/xf:meta[@code='ELS_META_positionElement']/xf:value[.=$valuesDbl]]/xf:verbalization, ', ')"/>
      <report test="count(./xf:referenceNode[not(./xf:metadata/xf:meta[@code='ELS_META_positionElement']) or normalize-space(./xf:metadata/xf:meta[@code='ELS_META_positionElement'])='']) > 0" role="warning">
        Veuillez renseigner le Numéro d'ordre d'affichage FO pour le(s) thème(s) : <value-of select="$themesSansPosition"/>
      </report>
      <report test="count(.//xf:meta[@code='ELS_META_positionElement']/xf:value) != count(distinct-values(.//xf:meta[@code='ELS_META_positionElement']/xf:value))" role="warning">
        Veuillez vérifier/corriger les doublons de Numéro d'ordre d'affichage FO pour le(s) thème(s) : <value-of select="$doublons"/>
      </report>
    </rule>
  </pattern>

</schema>