<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  xmlns:html="http://www.w3.org/1999/xhtml"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns:xfGuidanceEL="http://www.lefebvre-sarrut.eu/ns/xmlfirst/guidance/el"
  xmlns:xfGuidanceEL-QG="http://www.lefebvre-sarrut.eu/ns/els/guidance/quickguide"
  xmlns:ecm="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm"
  xmlns:xfe="http://www.lefebvre-sarrut.eu/ns/xmlfirst/xmlEditor"
  xmlns="http://www.w3.org/1999/xhtml"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Generate a HTML proofing for EE type "EL_TEE_arbreThemeGuidance"</xd:p>
    </xd:desc>
  </xd:doc>
  
  <xsl:import href="../EL_TEE_arbreThemeGuidance/EL_TEE_arbreThemeGuidance.htmlProofing.xsl"/>
  
  <xsl:param name="xfRes:EL_TEE_arbreGuidance.htmlProofing_skipAggregation" select="false()" as="xs:boolean"/>
  <xsl:param name="xfRes:css.uri" select="xfRes:getCssRelativeUri($xfRes:editorialEntity.code, $xfRes:baseUri, 'ecm.htmlProofing.style')" as="xs:string?"/>
  
  <!--==================================================-->
  <!--INIT-->
  <!--==================================================-->
  
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:EL_TEE_arbreGuidance.htmlProofing"/>
  </xsl:template>
  
  <!--==================================================-->
  <!--MAIN-->
  <!--==================================================-->
  
  <!--Driver-->
  <xsl:template match="/" mode="xfRes:EL_TEE_arbreGuidance.htmlProofing">
    <xsl:choose>
      <!--SIEGEL-510 : on est dans une vue surchargée, on affiche le contenu du referenceNode => EL_TEE_arbreThemeGuidance-->
      <xsl:when test="$ecm:referenceNodeOnly = 'true'">
        <xsl:choose>
          <xsl:when test="count(editorialEntity/body/*) = 1 and editorialEntity/body/referenceNode">
            <xsl:variable name="step" as="document-node()">
              <xsl:document>
                <xsl:choose>
                  <xsl:when test="$xfRes:EL_TEE_arbreGuidance.htmlProofing_skipAggregation">
                    <xsl:sequence select="."/>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates mode="#current"/>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:document>
            </xsl:variable>
            <xsl:choose>
              <xsl:when test="$step/editorialEntity/body/referenceNode/ref/editorialEntity/@code = 'EL_TEE_arbreThemeGuidance'">
                <xsl:apply-templates select="$step" mode="xfRes:EL_TEE_arbreThemeGuidance.htmlProofing"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:variable name="step" as="document-node()">
                  <xsl:document>
                    <xsl:apply-templates select="root()" mode="xfRes:TEE_tree.default.htmlFullPreview"/>
                  </xsl:document>
                </xsl:variable>
                <xsl:apply-templates select="$step" mode="xfRes:EL_TEE_arbreGuidance.htmlProofing.referenceNodeOnly.error-false-tee-code">
                  <xsl:with-param name="targetEE.code" select="$step/editorialEntity/body/referenceNode/ref/editorialEntity/@code" as="xs:string*"/>
                </xsl:apply-templates>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
            <xsl:variable name="step" as="document-node()">
              <xsl:document>
                <xsl:apply-templates select="." mode="xfRes:TEE_tree.default.htmlFullPreview"/>
              </xsl:document>
            </xsl:variable>
            <xsl:apply-templates select="$step" mode="xfRes:EL_TEE_arbreGuidance.htmlProofing.referenceNodeOnly.error-referenceNode"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <!--SIEGEL-492 : quand on a l'abre complet on ne s'amuse pas à le résoudre, ce serait trop lourd (800 EE à charger en moyenne!)-->
      <xsl:otherwise>
        <xsl:apply-templates select="." mode="xfRes:TEE_tree.default.htmlFullPreview"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template match="referenceNode" mode="xfRes:EL_TEE_arbreGuidance.htmlProofing">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="referenceNode/ref" mode="xfRes:EL_TEE_arbreGuidance.htmlProofing">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()" mode="#current"/>
      <xsl:sequence select="xf:getEEdocByFlashId(@xf:targetResId)"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="node() | @*" mode="xfRes:EL_TEE_arbreGuidance.htmlProofing">
    <xsl:copy>
      <xsl:apply-templates select="node() | @*" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
  <!--==============================================================-->
  <!--MODE ERRORS-->
  <!--==============================================================-->
  
  <xsl:template match="html:body" mode="xfRes:EL_TEE_arbreGuidance.htmlProofing.referenceNodeOnly.error-referenceNode">
    <xsl:copy>
      <xsl:apply-templates select="@*" mode="#current"/>
      <div class="ecm_error">
        <p>ERREUR : en vue surchargée on ne devrait avoir qu'un seul referenceNode dans l'EE (SIEGEL-510)</p>
      </div>
      <xsl:apply-templates select="node()" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="html:body" mode="xfRes:EL_TEE_arbreGuidance.htmlProofing.referenceNodeOnly.error-false-tee-code">
    <xsl:param name="targetEE.code" as="xs:string*"/>
    <xsl:copy>
      <xsl:apply-templates select="@*" mode="#current"/>
      <div class="ecm_error">
        <p>ERREUR : Impossible d'afficher la prévisu aggrégée du referenceNode car il ne cible pas une EE de type 'EL_TEE_arbreThemeGuidance' (trouvé "<xsl:value-of select="$targetEE.code"/>")</p>
      </div>
      <xsl:apply-templates select="node()" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>