<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns:guidanceChecklist="http://www.lefebvre-sarrut.eu/ns/els/guidance/checklist"
  xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  exclude-result-prefixes="#all"
  version="3.0">

  
  <xsl:import href="../els/_common/els-content.common.htmlPreview.xsl"/>

  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Calcul les métadonnées pour les EE de type "EL_TEE_checkList"</xd:p>
    </xd:desc>
  </xd:doc>
  
  <!--=====================================================-->
  <!--INIT-->
  <!--=====================================================-->
  
  <xsl:template match="/">
    <xsl:apply-templates select="editorialEntity" mode="xfRes:EL_TEE_checklist.getCalculatedMetatada"/>
  </xsl:template>
  
  <!--=====================================================-->
  <!--MAIN-->
  <!--=====================================================-->
  
  <xsl:template match="editorialEntity" mode="xfRes:EL_TEE_checklist.getCalculatedMetatada">
    <metadata>
      <meta code="systemTitle">
        <value>
          <div xmlns="http://www.w3.org/1999/xhtml">
            <xsl:apply-templates select="body/contentNode/content/guidanceChecklist:article/guidanceChecklist:h1[els:hasClass(., 'els-content-title')]/node()" mode="xfRes:els-content.common.htmlSimplePreview"/>
          </div>
        </value>
      </meta>
      <meta code="systemAbstract">
        <value>
          <div xmlns="http://www.w3.org/1999/xhtml">
            <!--FIXME : ici on prend le texte du 1er noeud après le titre, à améliorer ?-->
            <xsl:value-of select="body/contentNode/content/guidanceChecklist:article/guidanceChecklist:h1[els:hasClass(., 'els-content-title')]/following::*[normalize-space(.)][1]"/>
            <xsl:text> [...]</xsl:text>
          </div>
        </value>
      </meta>
    </metadata>
  </xsl:template>

 </xsl:stylesheet>