<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
    xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst" 
    xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
    exclude-result-prefixes="xs xd"
    version="3.0">
    <xd:doc scope="stylesheet">
        <xd:desc>
            <xd:p><xd:b>Created on:</xd:b> Oct 31, 2016</xd:p>
            <xd:p><xd:b>Author:</xd:b> ext-rleonard</xd:p>
            <xd:p></xd:p>
        </xd:desc>
    </xd:doc>
    <xsl:output method="xhtml" 
        doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" indent="yes"/>
    <xsl:strip-space elements="*"/> 
    <xsl:template match="/">
        <html>
            <head>
                <title> EE to HTML</title>
                
            </head>
            <body>
                <style>
                    div {
                    border: 1px dashed #999999;
                    margin: 5px 5px 5px 5px;
                    padding: 2px 2px 2px 2px;
                    }
                    span.attr {
                    background-color:#dcbbf9;
                    margin-right:5px;
                    padding-left:2px;
                    padding-right:2px;
                    }
                    span.attrname {
                    font-weight:bold;
                    }
                    div.eleminfo {
                    background-color:#ccf9bb;
                    }
                    div.eleminfo a {
                    font-weight:bold;
                    font-size:1.2em;
                    }
                    table {
                    border: 1px solid #999999;
                    margin: 5px 5px 5px 5px;
                    border-collapse:collapse
                    }
                    td {
                    border: 1px solid #999999;
                    margin: 5px 5px 5px 5px;
                    vertical-align:top;
                    padding: 5px 5px 5px 5px;
                    }
                    td.metaName {
                    background-color:#f4d786;
                    font-weight:bold;
                    }
                </style>
                <script>
                    <xsl:text disable-output-escaping="yes">
                    <![CDATA[
                    function toggle(id) {
                        var divs = document.getElementsByTagName("div"); 
                        for (var i = 0 ; i < divs.length ; i++) {
                            if (divs[i].className!='eleminfo') {
                                divs[i].style.background="#FFFFFF";
                            }
                        }
                        var elem = document.getElementById(id);
                        elem.style.background="#bbcaf9"; 
                    }
                    function collapsue(id,master) {
                        
                        var elem = document.getElementById(id);
                        var melem = document.getElementById(master);
                        elem.style.display="none"; 
                        melem.innerHTML=melem.innerHTML.replace('collapsue','openeu');
                    }
                    function openeu(id,master) {
                        
                        var elem = document.getElementById(id);
                        console.log(elem);
                        var melem = document.getElementById(master);
                        elem.style.display="block"; 
                        melem.innerHTML=melem.innerHTML.replace('openeu','collapsue');
                    }
                    ]]>
                    </xsl:text>
                </script>
                <ul>
                    <xsl:apply-templates />
                </ul>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="xf:body">
        <div class='contenu'>
            <h1> Contenu </h1>
            <xsl:apply-templates />
        </div>
    </xsl:template>
    <xsl:template match="xf:metadata">
        <div class='meta'>
        <h1> Méta Données </h1>
        <table>
            <xsl:apply-templates/>
        </table>
        </div>
    </xsl:template>
    <xsl:template match="xf:relations">
        <div class='relations'>
            <h1> Relations </h1>
            <xsl:apply-templates />
        </div>
    </xsl:template>
    <xsl:template match="xf:meta">
        <tr>
            <td class='metaName'><xsl:value-of select="./@code"/></td>
            <td><xsl:apply-templates/></td>
        </tr>
    </xsl:template>
    <xsl:template match="xf:value">
        <xsl:value-of select="."/>
    </xsl:template>
    <xsl:template match="*">
        <xsl:variable name="toggleId">
            <xsl:value-of select="generate-id(.)"/>
        </xsl:variable>
        <xsl:variable name="master">
            <xsl:value-of select="concat('master',generate-id(.))"/>
        </xsl:variable>
        <xsl:variable name="lanme">
            <xsl:value-of select="local-name()"/>
        </xsl:variable>
        <div id="{$master}"><a href="javascript:collapsue('{$toggleId}','{$master}');"> Réduire/Ouvrir </a>
        <div id="{$toggleId}" class="{$lanme}">
            <div class='eleminfo'>
                <a href="javascript:toggle('{$toggleId}');"> <xsl:value-of select="local-name()"/></a>
                
                <xsl:for-each select="@*">
                    <span class='attr'>
                    <span class='attrname'>
                        <xsl:value-of select="local-name()"/> :
                    </span>
                    <span class='attrvalue'>
                        <xsl:value-of select="."/> 
                    </span>
                    </span>
                </xsl:for-each>
            </div>
            <xsl:value-of select="text()"/>
            <xsl:apply-templates />
        </div>
        </div>
    </xsl:template>
    <xsl:template match="xf:structuralNode">
        <li>
            <xsl:variable name="ntabmat" select="count(ancestor::*)-1"></xsl:variable>
            <xsl:element name="h{$ntabmat}">
                <xsl:apply-templates select="xf:title"/>
            </xsl:element>
            <xsl:if test="count(child::xf:structuralNode)>0 or count(child::xf:referenceNode)>0">
                <ul>
                    <xsl:apply-templates select="(* except xf:title)"/>
                </ul>
            </xsl:if>
        </li>
    </xsl:template>
    <xsl:template match="xf:title">
        <xsl:value-of select="."/>
    </xsl:template>
    <xsl:template match="xf:referenceNode">
        <li>
            <xsl:apply-templates />
        </li>
    </xsl:template>
    <xsl:template match="xf:referenceNode/xf:ref">
        <xsl:value-of select="@xf:idRef"/>
        <xsl:apply-templates />
    </xsl:template>
    <xsl:template match="text()"/>
    
</xsl:stylesheet>