<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/efl/infoCommentaire"
  xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst" exclude-result-prefixes="#all" version="3.0">

  <xsl:include href="_common/el2html.xsl"/>
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:ELS_TEE_outils.getCalculatedMetatada"/>
  </xsl:template>

  <xsl:template match="xf:editorialEntity" mode="xfRes:ELS_TEE_outils.getCalculatedMetatada">
    <metadata>
      <meta code="systemTitle" as="element(html:div)">
        <value as="element(html:div)">
          <div xmlns="http://www.w3.org/1999/xhtml">
            <xsl:value-of select="./*:metadata/*:meta[@code = 'ELS_META_outilLibelleLong']/*:value/text()"/>
          </div>
        </value>
      </meta>      
      <xsl:call-template name="xfRes:createMetadataCalculatedFromElement">
        <xsl:with-param name="prefix" select="''"/>
        <xsl:with-param name="name" select="'systemAbstract'"/>
        <xsl:with-param name="element" select="()"/>
      </xsl:call-template>
    </metadata>
  </xsl:template>

  <xsl:template name="xfRes:createMetadataCalculatedFromElement">
    <xsl:param name="prefix"/>
    <xsl:param name="name"/>
    <xsl:param name="element"/>

    <xsl:variable name="code"
      select="
        if ($prefix != '') then
          concat($prefix, '.', $name)
        else
          $name"/>
    <xf:meta code="{$code}">
      <xf:value>
        <xsl:choose>
          <xsl:when test="count($element) = 0">
            <xsl:message>[INFO][XF-ECM-RES] System meta <xsl:value-of select="$code"/>
              undefined</xsl:message>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="$element" mode="xfRes:el2html"/>
          </xsl:otherwise>
        </xsl:choose>
      </xf:value>
    </xf:meta>

  </xsl:template>
  <xsl:template name="xfRes:createMetadataCalculatedFromString">
    <xsl:param name="prefix"/>
    <xsl:param name="name"/>
    <xsl:param name="string"/>

    <xsl:variable name="code"
      select="
        if ($prefix != '') then
          concat($prefix, '.', $name)
        else
          $name"/>
    <xf:meta code="{$code}">
      <xf:value>
        <xsl:copy-of select="$string"/>
      </xf:value>
    </xf:meta>

  </xsl:template>

  <xsl:template name="xfRes:createMetadataCalculatedByCopy">
    <xsl:param name="prefix"/>
    <xsl:param name="name"/>
    <xsl:param name="toCopy"/>

    <xsl:variable name="code"
      select="
        if ($prefix != '') then
          concat($prefix, '.', $name)
        else
          $name"/>
    <xf:meta code="{$code}">
      <xf:value>
        <xsl:choose>
          <xsl:when test="count($toCopy) = 0">
            <xsl:message>[INFO][XF-ECM-RES] System meta <xsl:value-of select="$code"/>
              undefined</xsl:message>
          </xsl:when>
          <xsl:otherwise>
            <xsl:copy-of select="$toCopy"/>
          </xsl:otherwise>
        </xsl:choose>
      </xf:value>
    </xf:meta>

  </xsl:template>

</xsl:stylesheet>
