<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources" xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/efl/infoCommentaire" xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  exclude-result-prefixes="#all" version="3.0">

  <xsl:include href="_common/el2html.xsl"/>
  <xsl:include href="_common/convertNameSpace.xsl"/>

  <xsl:template match="xf:editorialEntity" mode="xfRes:EL_TEE_practiceNote.getCalculatedMetatada">
    <metadata>
      <xsl:call-template name="xfRes:createMetadataCalculatedFromElement">
        <xsl:with-param name="prefix" select="''"/>
        <xsl:with-param name="name" select="'systemTitle'"/>
        <xsl:with-param name="element" select="xf:body/xf:contentNode/xf:content/*:FP/*:Titrepa"/>
      </xsl:call-template>
      <xsl:call-template name="xfRes:createMetadataCalculatedFromElement">
        <xsl:with-param name="prefix" select="''"/>
        <xsl:with-param name="name" select="'EL_META_titreFiches'"/>
        <xsl:with-param name="element" select="xf:body/xf:contentNode/xf:content/*:FP/*:Titrepa"/>
      </xsl:call-template>
      <xf:meta code="systemAbstract">
        <xf:value>
          <xsl:for-each-group select="xf:body/xf:contentNode/xf:content/*:FP/*" group-starting-with="*:Tifp">
            <!-- on prend le deuxième groupe qui contient la première fiche pour prendre son résumé -->
            <xsl:if test="position() = 2">
              <div xmlns="http://www.w3.org/1999/xhtml" class="LeResume">
                <xsl:apply-templates select="current-group()/self::*:Resume" mode="xfRes:el2html"/>
              </div>
            </xsl:if>
          </xsl:for-each-group>
        </xf:value>
      </xf:meta>
    </metadata>
  </xsl:template>

  <xsl:template name="xfRes:createMetadataCalculatedFromElement">
    <xsl:param name="prefix"/>
    <xsl:param name="name"/>
    <xsl:param name="element"/>

    <xsl:variable name="code" select="
        if ($prefix != '') then
          concat($prefix, '.', $name)
        else
          $name"/>
    <xf:meta code="{$code}">
      <xf:value>
        <xsl:choose>
          <xsl:when test="count($element) = 0">
            <xsl:message>[INFO][XF-ECM-RES] System meta <xsl:value-of select="$code"/> undefined</xsl:message>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="$element" mode="xfRes:el2html"/>
          </xsl:otherwise>
        </xsl:choose>
      </xf:value>
    </xf:meta>

  </xsl:template>

</xsl:stylesheet>
