<?xml version="1.0" encoding="UTF-8"?>
 <xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/el/el_tableauRecap"
  xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xsl:include href="_common/el2html.xsl"/>
  
   <xsl:template match="xf:editorialEntity" mode="xfRes:EL_TEE_tableauRecapitulatif.getCalculatedMetatada">
    <metadata>
      <xsl:call-template name="xfRes:createMetadataCalculatedFromElement">
        <xsl:with-param name="prefix" select="''"/>
        <xsl:with-param name="name" select="'systemTitle'"/>
        <xsl:with-param name="element" select="xf:body/xf:contentNode/xf:content/*:FPRO/*:Titrefiche"/>
      </xsl:call-template>
      <xf:meta code="systemAbstract">
        <xf:value>
          <div xmlns="http://www.w3.org/1999/xhtml">
            <xsl:apply-templates select="xf:body/xf:contentNode/xf:content/*:FPRO/*:Alavertissement" mode="convertNamespace">
              <xsl:with-param name="namespace.uri" select="'http://www.w3.org/1999/xhtml'" tunnel="yes"/>
            </xsl:apply-templates>
          </div>
        </xf:value>
      </xf:meta>
    </metadata>
  </xsl:template>
  
  <xsl:template name="xfRes:createMetadataCalculatedFromElement">
    <xsl:param name="prefix"/>
    <xsl:param name="name"></xsl:param>
    <xsl:param name="element" as="element()*"></xsl:param>
    
    <xsl:variable name="code" select="if ($prefix != '') then concat($prefix,'.',$name) else $name"/>
    <xf:meta code="{$code}">
      <xf:value>
        <xsl:choose>
      <xsl:when test="count($element) = 0">
        <xsl:message>[INFO][XF-ECM-RES] System meta <xsl:value-of select="$code"></xsl:value-of> undefined</xsl:message>
      </xsl:when>
      <xsl:otherwise>
                <xsl:apply-templates select="$element" mode="xfRes:el2html"/>
      </xsl:otherwise>
    </xsl:choose>
      </xf:value></xf:meta>
    
    </xsl:template>
  
</xsl:stylesheet>