<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst" 
    xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources" 
    xmlns:luxia="http://www.els.fr/ns/luxia" 
    xmlns:els="http://www.lefebvre-sarrut.eu/ns/els" 
    xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst" 
    exclude-result-prefixes="#all" 
    version="3.0">
    
    <xsl:variable name="systemMeta" select="('systemTitle', 'systemAbstract')" as="xs:string+"/>
    
    <xsl:template match="xf:editorialEntity" mode="xfRes:ELS_TEE_LEGI_article.getCalculatedMetatada">  
        <metadata>
            <xsl:if test="'systemTitle' = $systemMeta">
                <xsl:apply-templates select="xf:body/xf:contentNode/xf:content/luxia:article" mode="xfRes:getTitle"/>
            </xsl:if>
            <!--
            <xsl:if test="'systemAbstract' = $systemMeta">
                <xsl:apply-templates select="xf:body/xf:contentNode/xf:content/luxia:article" mode="xfRes:getAbstract"/>
            </xsl:if>
            -->
        </metadata>
    </xsl:template>
    
    <xsl:template match="luxia:div[@class='short_title']" mode="xfRes:getTitle">
        <meta code="systemTitle" as="element(html:div)">
            <value as="element(html:div)">
                <div xmlns="http://www.w3.org/1999/xhtml">
                    <xsl:value-of select="."/>
                </div>
            </value>
        </meta>
    </xsl:template>
    
    <!-- 
    <xsl:template match="luxia:header" mode="xfRes:getAbstract">
        <p xmlns="http://www.w3.org/1999/xhtml">
            <xsl:value-of select="."/>
        </p>
    </xsl:template>
     -->
</xsl:stylesheet>
