<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns:ecm="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xsl:import href="../../_common/xf-common.xsl"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Converti les contentNode dérivé du modèles "els-content" (html dans un autre namespace)</xd:p>
    </xd:desc>
  </xd:doc>
  
  <xsl:key name="getRelationByXfId" match="xf:relation" use="@xf:id"/>
  
  <!--=============================================-->
  <!--INIT-->
  <!--=============================================-->
  
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:els-content.common.htmlSimplePreview"/>
  </xsl:template>
  
  <!--=============================================-->
  <!--MAIN-->
  <!--=============================================-->
  
  <xsl:template match="*:a[@xf:idRef]" mode="xfRes:els-content.common.htmlSimplePreview">
    <a href="{ecm:getEEpreviewUrl(key('getRelationByXfId', @xf:idRef)/xf:ref/@xf:targetResId)}">
      <xsl:apply-templates select="@* | node()" mode="#current"/>
    </a>
  </xsl:template>
  
  <xd:doc>
    <xd:desc>
      Règle pour gérer cas d'erreur de conversion du SAS si non détecté avant import
    </xd:desc>
  </xd:doc>
  <xsl:template match="*:error" mode="xfRes:els-content.common.htmlSimplePreview">
    <div class="ecm_error">
      <xsl:apply-templates select="node()|@*" mode="#current"/>
    </div>
  </xsl:template>
    
  <!--Suppression des attributs xf-->
  <xsl:template match="@xf:*" mode="xfRes:els-content.common.htmlSimplePreview"/>
  
  <!--Convert pseudo html elements to html namespace-->
  <xsl:template match="*" mode="xfRes:els-content.common.htmlSimplePreview">
    <xsl:element name="{local-name()}" namespace="http://www.w3.org/1999/xhtml">
      <xsl:apply-templates select="@* | node()" mode="#current"/>
    </xsl:element>
  </xsl:template>

  <!--copy template (used for attribute and text nodes)-->
  <xsl:template match="node() | @*" mode="xfRes:els-content.common.htmlSimplePreview" priority="-1">
    <xsl:copy>
      <xsl:apply-templates select="node() | @*" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>