<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:saxon="http://saxon.sf.net/"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
	xmlns:els="http://www.lefebvre-sarrut.eu/ns/els" 
	xmlns:dalloz="http://www.lefebvre-sarrut.eu/ns/dalloz" 
	xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
	xmlns:xfe="http://www.lefebvre-sarrut.eu/ns/xmlfirst/xmlEditor"
	xmlns="http://www.w3.org/1999/xhtml"
	xpath-default-namespace="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="#all"
	version="3.0">
  
  <xsl:import href="../../xfe-HTML2XML.xsl"/>
  <xsl:import href="xfe-HTML2XML_clean-specific.xsl"/>
  <xsl:import href="xfe-HTML2XML_xml-fixup.xsl"/>
  <xsl:import href="xf-lib:/xf-lib/xsl/dalloz/revues.poc/makeRelations.xsl"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Main XSLT to convert HTML edited in TinyMCE back to XML</xd:p>
      <xd:p>This XSLT is drived by the common xsl/xfe-HTML2XML.xsl which call 2 specific modes (clean-specific and xml_fixup) 
        which are overrided by current specific xsl:import</xd:p>
      <xd:p>Beware : clean-specific is applied only if $xfe:cleanHtmlBefore is set to "true" :</xd:p>
      <xd:ul>
        <xd:li>$xfe:cleanHtmlBefore=true() localy to test the full conversion with clean-specific and clean-generic</xd:li>
        <xd:li>$xfe:cleanHtmlBefore=false() in ECM ! the specific and generic clean are applied (hard coded) before html.rng validation</xd:li>
      </xd:ul>
    </xd:desc>
  </xd:doc>
	
  <!--===================================================-->
  <!--MAIN-->
  <!--===================================================-->
  
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfe:html2xml"/>
  </xsl:template>
  
  <!--===================================================-->
  <!--SPECIFIC OVERRIDING TEMPLATES-->
  <!--===================================================-->
  
  <xsl:template match="*[@xf:targetResId]"  mode="xfe:makeRelationElement" priority="1">
    <xsl:next-match>
      <xsl:with-param name="relation.code" select="concat('DZ_TR_', local-name(.))"/>
      <xsl:with-param name="relation.metadata" as="element()">
        <metadata xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst">
          <!--FIXME : factorisation SAS (jira FE-114)-->
        </metadata>
      </xsl:with-param>
      <xsl:with-param name="relation.ref.refType" select="concat('dalloz:', local-name(.))"/>
    </xsl:next-match>
  </xsl:template>
  
</xsl:stylesheet>