<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:saxon="http://saxon.sf.net/"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
	xmlns:rng="http://relaxng.org/ns/structure/1.0"
	xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
	xmlns:xfe="http://www.lefebvre-sarrut.eu/ns/xmlfirst/xmlEditor"
	xmlns="http://www.w3.org/1999/xhtml"
	xpath-default-namespace="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="#all"
	version="3.0">
  
  <xsl:import href="xslLib:/xslLib/els-common.xsl"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>XSLT applied on edited HTML to clean specific errors raised by the editor</xd:p>
    </xd:desc>
  </xd:doc>
	
  <!--===================================================-->
  <!--INIT-->
  <!--===================================================-->
  
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfe:html2xml_clean.specific"/>
  </xsl:template>
  
  <!--===================================================-->
  <!--MAIN-->
  <!--===================================================-->
  
  <xsl:template match="/" mode="xfe:html2xml_clean.specific">
    <xsl:apply-templates mode="#current"/>
  </xsl:template>
  
  <!--body/@class is loosed during tinyMCE edition : we had it to keep the file valid after clean-->
  <xsl:template match="body" mode="xfe:html2xml_clean.specific">
    <xsl:copy>
      <xsl:apply-templates select="@*" mode="#current"/>
      <xsl:attribute name="class" select="'ARTICLE'"/>
      <xsl:apply-templates select="node()" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
  
  <xsl:template match="@data-xml-lib | @data-xml-type" mode="xfe:html2xml_clean.specific">
    <xsl:variable name="xmlAttributeName" select="substring-after(name(), 'data-xml-')" as="xs:string"/>
    <xsl:message><xsl:value-of select="$xmlAttributeName"/></xsl:message>
    <xsl:attribute name="{concat('data-xml-', upper-case($xmlAttributeName))}" select="."/>
  </xsl:template>
  
  <xsl:template match="div[@class='xfe_note']" mode="xfe:html2xml_clean.specific">
    <xsl:copy>
      <xsl:apply-templates select="@* except @xfe:xpath" mode="#current"/>
      <xsl:apply-templates select="node()" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="div[@class='xfe_notes']" mode="xfe:html2xml_clean.specific">
    <xsl:copy>
      <xsl:apply-templates select="@* except @xfe:xpath" mode="#current"/>
      <xsl:apply-templates select="node()" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
  <!--===================================================-->
  <!--COMMON-->
  <!--===================================================-->
 
  <xsl:template match="node() | @*" mode="xfe:html2xml_clean.specific">
    <xsl:copy>
      <xsl:apply-templates select="node() | @*" mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>